Nie jesteś zalogowany.
Jeśli nie posiadasz konta, zarejestruj je już teraz! Pozwoli Ci ono w pełni korzystać z naszego serwisu. Spamerom dziękujemy!

Ogłoszenie

Prosimy o pomoc dla małej Julki — przekaż 1% podatku na Fundacji Dzieciom zdazyć z Pomocą.
Więcej informacji na dug.net.pl/pomagamy/.

#1  2021-04-11 15:24:14

  wachcio - Użytkownik

wachcio
Użytkownik
Zarejestrowany: 2019-08-10

Dell XPS l702x i dwie karty graficzne. Która jest aktualnie używana?

Witam

Mam stary (ok 10lat) laptop Dell XPS l702x z dwoma kartami graficznymi. Procesor to i7-2670QM. Druga karta graficzna to NVIDIA GeForce GT 555M. Ostatnio zobaczyłem, że na GOG jest Wiedźmin 2 na Linux za 6PLN więc postanowiłem sprawdzić jak "dziadek" się w nim spisze. Próbowałem zainstalować sterowniki z repo oryginalne wersja legacy chyba 340 występowały błędy i później miałem problem z uruchomieniem w ogóle środowiska graficznego. Odinstalowałem je i zainstalowałem nouveau. KDE Plasma uruchomiła się

Kod:

wachcio-debian@wachcio  neofetch                                
       _,met$$$$$gg.          wachcio@wachcio-debian 
    ,g$$$$$$$$$$$$$$$P.       ---------------------- 
  ,g$$P"     """Y$$.".        OS: Debian GNU/Linux 10 (buster) x86_64 
 ,$$P'              `$$$.     Host: Dell System XPS L702X 
',$$P       ,ggs.     `$$b:   Kernel: 4.19.0-16-amd64 
`d$$'     ,$P"'   .    $$$    Uptime: 9 days, 17 hours, 39 mins 
 $$P      d$'     ,    $$P    Packages: 4151 (dpkg), 8 (flatpak) 
 $$:      $$.   -    ,d$$'    Shell: zsh 5.7.1 
 $$;      Y$b._   _,d$P'      Resolution: 1920x1080 
 Y$$.    `.`"Y$$$$P"'         DE: KDE 
 `$$b      "-.__              WM: KWin 
  `Y$$                        WM Theme: plastik 
   `Y$$.                      Theme: Breeze Dark [KDE], Breeze [GTK3] 
     `$$b.                    Icons: Adwaita [KDE], breeze [GTK3] 
       `Y$$b.                 Terminal: konsole 
          `"Y$b._             Terminal Font: Hack 12 
              `"""            CPU: Intel i7-2670QM (8) @ 3.100GHz 
                              GPU: NVIDIA GeForce GT 555M 
                              GPU: Intel 2nd Generation Core Processor Family 
                              Memory: 6965MiB / 15935MiB

Kod:

wachcio-debian@wachcio  optirun inxi -G                         
Graphics:  Device-1: Intel 2nd Generation Core Processor Family Integrated Graphics driver: i915 v: kernel 
           Device-2: NVIDIA GF106M [GeForce GT 555M] driver: nouveau v: kernel 
           Display: x11 server: X.Org 1.20.4 driver: modesetting unloaded: fbdev,vesa resolution: 1920x1080~60Hz 
           OpenGL: renderer: NVC3 v: 4.3 Mesa 18.3.6

Kod:

wachcio-debian@wachcio  lspci -kvv | grep -EA2 'VGA|3D'
...
01:00.0 VGA compatible controller: NVIDIA Corporation GF106M [GeForce GT 555M] (rev ff) (prog-if ff)
        !!! Unknown header type 7f
        Kernel modules: nouveau
--
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
--
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
--
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes

Zainstalowało to się poprawnie? Jeśli tak to jak sprawdzić która karta jest używana w grze? Nie wiem czy to maks wydajności NVidia i mogę tylko grać na 720p czy gra używa zintegrowanej

Offline

 

#2  2021-04-11 15:42:16

  arecki - Użytkownik

arecki
Użytkownik
Skąd: 44 Bronson Lane Hensonville
Zarejestrowany: 2016-03-03

Re: Dell XPS l702x i dwie karty graficzne. Która jest aktualnie używana?

Dla nouveau:

Kod:

DRI_PRIME=1 glxinfo | grep "OpenGL renderer"

Jako root:

Kod:

cat /sys/kernel/debug/vgaswitcheroo/switch

https://wiki.archlinux.org/index.php/PRIME
https://wiki.gentoo.org/wiki/AMDGPU#Test.2C_if_a_di … ard_is_in_use

Ostatnio edytowany przez arecki (2021-04-11 15:42:53)

Online

 

#3  2021-04-11 17:03:05

  wachcio - Użytkownik

wachcio
Użytkownik
Zarejestrowany: 2019-08-10

Re: Dell XPS l702x i dwie karty graficzne. Która jest aktualnie używana?

Kod:

 wachcio-debian@wachcio  DRI_PRIME=1 glxinfo | grep "OpenGL renderer"
OpenGL renderer string: Mesa DRI Intel(R) Sandybridge Mobile

Kod:

 wachcio-debian@wachcio  sudo cat /sys/kernel/debug/vgaswitcheroo/switch
[sudo] hasło użytkownika wachcio: 
cat: /sys/kernel/debug/vgaswitcheroo/switch: Nie ma takiego pliku ani katalogu

Offline

 

#4  2021-04-11 17:38:30

  arecki - Użytkownik

arecki
Użytkownik
Skąd: 44 Bronson Lane Hensonville
Zarejestrowany: 2016-03-03

Re: Dell XPS l702x i dwie karty graficzne. Która jest aktualnie używana?

Kernel posiada odpowiednie opcje CONFIG_VGA_*?

Kod:

cat /boot/config-`uname -r` | grep "CONFIG_VGA_"

Online

 

#5  2021-04-11 21:29:05

  wachcio - Użytkownik

wachcio
Użytkownik
Zarejestrowany: 2019-08-10

Re: Dell XPS l702x i dwie karty graficzne. Która jest aktualnie używana?

Kod:

 wachcio-debian@wachcio  sudo cat /boot/config-`uname -r` | grep "CONFIG_VGA_"
[sudo] hasło użytkownika wachcio: 
CONFIG_VGA_ARB=y
CONFIG_VGA_ARB_MAX_GPUS=16
CONFIG_VGA_SWITCHEROO=y
CONFIG_VGA_CONSOLE=y

Jednak czy NVidia jest poprawnie zainstalowana w ogóle. Przypomnę, że:

Kod:

01:00.0 VGA compatible controller: NVIDIA Corporation GF106M [GeForce GT 555M] (rev ff) (prog-if ff)
        !!! Unknown header type 7f
        Kernel modules: nouveau

Ostatnio edytowany przez wachcio (2021-04-11 21:30:21)

Offline

 

#6  2021-04-11 21:46:39

  fnmirk - Redaktor

fnmirk
Redaktor
Zarejestrowany: 2008-02-19

Re: Dell XPS l702x i dwie karty graficzne. Która jest aktualnie używana?

Przedstaw wynik:

Kod:

dpkg -l | grep firmware*
uname -r

Offline

 

#7  2021-04-11 22:01:17

  wachcio - Użytkownik

wachcio
Użytkownik
Zarejestrowany: 2019-08-10

Re: Dell XPS l702x i dwie karty graficzne. Która jest aktualnie używana?

Kod:

 wachcio-debian@wachcio  dpkg -l | grep firmware*
uname -r
zsh: no matches found: firmware*
4.19.0-16-amd64

Offline

 

#8  2021-04-11 22:18:49

  fnmirk - Redaktor

fnmirk
Redaktor
Zarejestrowany: 2008-02-19

Re: Dell XPS l702x i dwie karty graficzne. Która jest aktualnie używana?

wachcio sprawdź jeszcze raz. Jak wklejasz śmieci do terminala to śmieci otrzymujesz.

Offline

 

#9  2021-04-11 22:39:41

  wachcio - Użytkownik

wachcio
Użytkownik
Zarejestrowany: 2019-08-10

Re: Dell XPS l702x i dwie karty graficzne. Która jest aktualnie używana?

to nie śmieci tylko w theme zsh mam strzałkę która się tutaj nie wyświetla. Wynik jest ten sam

Kod:

dpkg -l | grep firmware*                         
uname -r
zsh: no matches found: firmware*
4.19.0-16-amd64

Offline

 

#10  2021-04-11 23:17:28

  fnmirk - Redaktor

fnmirk
Redaktor
Zarejestrowany: 2008-02-19

Re: Dell XPS l702x i dwie karty graficzne. Która jest aktualnie używana?

A dlaczego uruchamiasz równocześnie obydwa polecenia w taki sposób?

Jak nie masz zainstalowanego firmware to zainstaluj.

Offline

 

#11  2021-04-11 23:29:45

  jawojx - Użytkownik

jawojx
Użytkownik
Zarejestrowany: 2012-10-11

Re: Dell XPS l702x i dwie karty graficzne. Która jest aktualnie używana?

Dla twojej karty nie 340, a 390 są (wsparcie do kernela 5.10), zainstaluj z wymuszeniem w taki sposób. Oczywiście musisz mieć aktywne repozytoria nonfree, o czym wiesz, bo instalowałeś 340.

Kod:

apt install nvidia-legacy-390xx-driver bumblebee-nvidia primus firmware-misc-nonfree

I spróbuj uruchomić grę (oczywiście podstawiając właściwy plik).

Kod:

optirun wiesio

Nigdy nie grałem w Wiesia, w ogóle nie gram, ale sterowniki są mi potrzebne zamknięte. Ale co do nouveau to nie oczekuj cudów, tylko instaluj zamknięte. Niewiele będę mógł teraz pomóc, bo mało czasu mam, będę starał się zaglądać, ale inni pewnie pomogą.

Offline

 

#12  2021-04-12 09:18:45

  wachcio - Użytkownik

wachcio
Użytkownik
Zarejestrowany: 2019-08-10

Re: Dell XPS l702x i dwie karty graficzne. Która jest aktualnie używana?

Próbowałem już tyle razy różne sterowniki instalować, że już szczerze nie pamiętam czy to była tylko wersja 340 czy również 390. Ze sterami NVidia miałem zawsze jakiś problem podczas instalacji i w końcu miałem błąd xorg i tylko konsolę po włączeniu kompa. Po odinstalowaniu wszystkiego co z NVidia Plasma wróciła. Spróbuję jeszcze raz może ty razem będzie inaczej...
W sumie ja też w ogóle nie gram ale chciałem z ciekawości zobaczyć jak wygląda ta sławna gra i jak sobie z nią poradzi mój stary laptop. Tym bardziej, że gra natywnie na Linux i podobna wiekiem do kompa.

sudo apt install nvidia-legacy-390xx-driver bumblebee-nvidia primus firmware-misc-nonfree
[sudo] hasło użytkownika wachcio:
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
firmware-misc-nonfree is already the newest version (20190114-2).
primus is already the newest version (0~20150328-12~bpo10+1).
Nie udało się zainstalować niektórych pakietów. Może to oznaczać,
że zażądano niemożliwej sytuacji lub użyto dystrybucji niestabilnej,
w której niektóre pakiety nie zostały jeszcze utworzone lub przeniesione
z katalogu Incoming ("Przychodzące").
Następujące informacje mogą pomóc rozwiązać sytuację:

Następujące pakiety mają niespełnione zależności:
bumblebee-nvidia : Wymaga: bumblebee (= 3.2.1-20) ale 3.2.1-26~bpo10+1 ma zostać zainstalowany
E: Nie udało się naprawić problemów, zatrzymano uszkodzone pakiety.

Ostatnio edytowany przez wachcio (2021-04-12 12:02:52)

Offline

 

#13  2021-04-12 19:01:23

  jawojx - Użytkownik

jawojx
Użytkownik
Zarejestrowany: 2012-10-11

Re: Dell XPS l702x i dwie karty graficzne. Która jest aktualnie używana?

No coś instalowałeś z backportów i trzyma zależności, trzeba wrócić pakiet lub go odinstalować jak został po starej instalacji. Dobrze jest też odinstalować wszystko co zostało ze starego sterownika własnościowego, powinno zaktualizować automatycznie przy instalacji nowszego sterownika, ale lepiej kontrolować to samemu gdy się przechodzi na inna wersję sterownika (tu z 340 na 390), nie wszystkie pakiety się powtarzają. Sprawdź, co zostało.

Kod:

dpkg -l | grep nvidia

Nie zapomnij o reszcie jak primus, bumblebee-nvidia. Po prostu, odinstaluj wszystko, co zainstalowało się ze sterownikiem zamkniętym (info masz też w /var/log/apt/history.log) i jeszcze raz zainstaluj.

Lub możesz też zainstalować sterownik z backportów, wtedy zaktualizuje co trzeba i zależność będzie spełniona, wcześniej zainstaluj z backportów kernel 5.10.

Kod:

apt install -t buster-backports linux-image-amd64 linux-headers-amd64

Zrestartuj komputer. U ciebie niekonieczne, ale też lepiej i zainstaluj sterownik też z backportów


Kod:

apt install -t buster-backports nvidia-legacy-390xx-driver bumblebee-nvidia primus firmware-misc-nonfree

I restart. Mogę odpowiadać z dużymi opóźnieniami.

Offline

 

#14  2021-04-12 19:13:21

  wachcio - Użytkownik

wachcio
Użytkownik
Zarejestrowany: 2019-08-10

Re: Dell XPS l702x i dwie karty graficzne. Która jest aktualnie używana?

Dzięki za wskazówki będę działał dalej. Jednak obawiam się zaktualizować kernel do 5.10 bo gdzieś usłyszałem, że w nowszym moja karta (GeForce GT 555M) nie jest już wspierana. Mógłby ktoś się wypowiedzieć na ten temat?

Wykonałem sudo apt remove --purge dla pakietów podanych w poprzednim poście chyba już nie zostało nic więcej bo dpkg -l | grep nie znajduje już ich.

Ostatnio edytowany przez wachcio (2021-04-12 19:19:59)

Offline

 

#15  2021-04-12 21:29:40

  fnmirk - Redaktor

fnmirk
Redaktor
Zarejestrowany: 2008-02-19

Re: Dell XPS l702x i dwie karty graficzne. Która jest aktualnie używana?

Jeszcze zostało to:

Kod:

apt purge `dpkg -l | grep '^rc' | awk '{print $2}'`

Offline

 

#16  2021-04-14 10:07:12

  wachcio - Użytkownik

wachcio
Użytkownik
Zarejestrowany: 2019-08-10

Re: Dell XPS l702x i dwie karty graficzne. Która jest aktualnie używana?

Wykonałem ostatnią komendę ale ponawiam pytanie. Czy bezpieczne jest w przypadku tak sarego komputera a w szczególności karty graficznej aktualizowanie jądra do wersji 5.10?

Offline

 

#17  2021-04-14 14:44:54

  arecki - Użytkownik

arecki
Użytkownik
Skąd: 44 Bronson Lane Hensonville
Zarejestrowany: 2016-03-03

Re: Dell XPS l702x i dwie karty graficzne. Która jest aktualnie używana?

Jest bezpieczne, ale może przynieść problemy w postaci choćby nie działających sterowników, przykładowo tego GeForce GT 555M.
W razie problemów możesz powrócić do poprzedniego jądra.

Online

 

#18  2021-04-15 00:50:16

  fnmirk - Redaktor

fnmirk
Redaktor
Zarejestrowany: 2008-02-19

Re: Dell XPS l702x i dwie karty graficzne. Która jest aktualnie używana?

Zawsze możesz sprawdzić przy pomocy jakiejś nowej wersji livecd.

https://www.system-rescue.org/Download/

https://www.debian.org/CD/live/index.en.html

Offline

 

#19  2021-04-15 22:48:29

  jawojx - Użytkownik

jawojx
Użytkownik
Zarejestrowany: 2012-10-11

Re: Dell XPS l702x i dwie karty graficzne. Która jest aktualnie używana?

Nie wiem skąd pomysł, że dałem informację z dupy i bez sprawdzania. Instalator sterownika nVidia 390 buduje prawidłowe moduły dla kernela 5.10, informacja jest łatwo dostępna, a sprawdzałem kiedyś też sam. Sterowniki 390 (a w backportach nawet 340), w repo są już dawno połatane dla kernela 5.10, w odróżnieniu od sterownika ze strony nvidii, który działa na dzisiaj oficjalnie do wersji kernela 5.8

Tylko to jest informacja bez bumblebee, to bywa kapryśne. Przy starej karcie z technologią optimus i tak trzeba tego spróbować, chociaż nie jest to jedyna opcja. Sterownik zbuduje prawidłowe moduły, ale nie musi działać prawidłowo z bumblebee (choć będzie działał bez bumblebee), trzeba sprawdzać.

A czym to grozi instalacja nowego kernela, nagłówków i sterownika?, zwłaszcza jak umiesz poruszać się po konsoli, o czym wiem, bo poradziłeś sobie już z niedziałającym środowiskiem graficznym.


Co do testów z livecd to trzeba zatrzymać ładowanie nouveau, przy uruchomieniu w parametrach startowych dla kernela wpisać.

Kod:

modprobe.blacklist=nouveau

I można wgrywać sterowniki, po wylogowaniu (przy restarcie sesji graficznej), przy nowej sesji sterownik powinien działać.


W weekend będzie może czas, to zobaczymy, co da się zrobić, może.

Offline

 

#20  2021-04-17 15:47:34

  wachcio - Użytkownik

wachcio
Użytkownik
Zarejestrowany: 2019-08-10

Re: Dell XPS l702x i dwie karty graficzne. Która jest aktualnie używana?

@jawojx nie chciałem nikogo urazić. Jeśli tak się poczułeś to przepraszam.
Chciałem najpierw wykonać kopię systemu ale niestety mój pendrive odmawia posłuszeństwa (nie mogę sformatować) a, że siedzę za granicą z połamaną nogą załatwienie innego może być problematyczne. Nie chce mi się też siedzieć kilka godzin z komórka i laptopem w konsoli kombinując jak go uruchomić jeśli coś pójdzie nie tak...

Offline

 

#21  2021-04-17 20:13:19

  jawojx - Użytkownik

jawojx
Użytkownik
Zarejestrowany: 2012-10-11

Re: Dell XPS l702x i dwie karty graficzne. Która jest aktualnie używana?

Na razie, pokaż tylko to.

Kod:

lspci | egrep  'VGA|3D'

Bo z podanych informacji lspci na górze jest tylko nvidia, a potrzebuje takich samych o intelu. Może przeprowadzimy jakiś dowód, byś miał komfort psychiczny.

Ostatnio edytowany przez jawojx (2021-04-17 20:20:20)

Offline

 

#22  2021-04-17 22:31:26

  wachcio - Użytkownik

wachcio
Użytkownik
Zarejestrowany: 2019-08-10

Re: Dell XPS l702x i dwie karty graficzne. Która jest aktualnie używana?

Kopia partycji za pomocą Debian Live i polecenia "dd" zrobiona więc jakiś komfort psychiczny jest. Inna sprawa, że teraz grafika i tak raczej nie działa więc zmiana jądra nie pogorszy sytuacji...

Kod:

lspci | egrep  'VGA|3D'
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
01:00.0 VGA compatible controller: NVIDIA Corporation GF106M [GeForce GT 555M] (rev ff)

To rev ff chyba właśnie oznacza problemy z NVidia jeśli się nie mylę

EDIT:

Zaktualizowałem jądro systemu:

Kod:

sudo apt install -t buster-backports linux-image-amd64 linux-headers-amd64
[sudo] hasło użytkownika wachcio: 
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
The following additional packages will be installed:
  linux-headers-5.10.0-0.bpo.5-amd64 linux-headers-5.10.0-0.bpo.5-common linux-image-5.10.0-0.bpo.5-amd64 linux-kbuild-5.10 wireless-regdb
Sugerowane pakiety:
  linux-doc-5.10 debian-kernel-handbook
Zostaną zainstalowane następujące NOWE pakiety:
  linux-headers-5.10.0-0.bpo.5-amd64 linux-headers-5.10.0-0.bpo.5-common linux-image-5.10.0-0.bpo.5-amd64 linux-kbuild-5.10
Następujące pakiety zostaną zaktualizowane:
  linux-headers-amd64 linux-image-amd64 wireless-regdb
3 aktualizowanych, 4 nowo instalowanych, 0 usuwanych i 243 nieaktualizowanych.
Konieczne pobranie 63,4 MB archiwów.
Po tej operacji zostanie dodatkowo użyte 357 MB miejsca na dysku.
Kontynuować? [T/n] T
Pobieranie:1 http://deb.debian.org/debian buster-backports/main amd64 linux-headers-5.10.0-0.bpo.5-common all 5.10.24-1~bpo10+1 [8 775 kB]
Pobieranie:2 http://deb.debian.org/debian buster-backports/main amd64 linux-kbuild-5.10 amd64 5.10.24-1~bpo10+1 [521 kB]
Pobieranie:3 http://deb.debian.org/debian buster-backports/main amd64 linux-headers-5.10.0-0.bpo.5-amd64 amd64 5.10.24-1~bpo10+1 [809 kB]
Pobieranie:4 http://deb.debian.org/debian buster-backports/main amd64 linux-headers-amd64 amd64 5.10.24-1~bpo10+1 [1 196 B]
Pobieranie:5 http://deb.debian.org/debian buster-backports/main amd64 wireless-regdb all 2020.04.29-2~bpo10+1 [14,0 kB]
Pobieranie:6 http://deb.debian.org/debian buster-backports/main amd64 linux-image-5.10.0-0.bpo.5-amd64 amd64 5.10.24-1~bpo10+1 [53,3 MB]
Pobieranie:7 http://deb.debian.org/debian buster-backports/main amd64 linux-image-amd64 amd64 5.10.24-1~bpo10+1 [1 496 B]
Pobrano 63,4 MB w 4s (17,3 MB/s)                  
Odczytywanie dzienników zmian... Zrobione
Wybieranie wcześniej niewybranego pakietu linux-headers-5.10.0-0.bpo.5-common.
(Odczytywanie bazy danych ... 614540 plików i katalogów obecnie zainstalowanych.)
Przygotowywanie do rozpakowania pakietu .../0-linux-headers-5.10.0-0.bpo.5-common_5.10.24-1~bpo10+1_all.deb ...
Rozpakowywanie pakietu linux-headers-5.10.0-0.bpo.5-common (5.10.24-1~bpo10+1) ...
Wybieranie wcześniej niewybranego pakietu linux-kbuild-5.10.
Przygotowywanie do rozpakowania pakietu .../1-linux-kbuild-5.10_5.10.24-1~bpo10+1_amd64.deb ...
Rozpakowywanie pakietu linux-kbuild-5.10 (5.10.24-1~bpo10+1) ...
Wybieranie wcześniej niewybranego pakietu linux-headers-5.10.0-0.bpo.5-amd64.
Przygotowywanie do rozpakowania pakietu .../2-linux-headers-5.10.0-0.bpo.5-amd64_5.10.24-1~bpo10+1_amd64.deb ...
Rozpakowywanie pakietu linux-headers-5.10.0-0.bpo.5-amd64 (5.10.24-1~bpo10+1) ...
Przygotowywanie do rozpakowania pakietu .../3-linux-headers-amd64_5.10.24-1~bpo10+1_amd64.deb ...
Rozpakowywanie pakietu linux-headers-amd64 (5.10.24-1~bpo10+1) nad (4.19+105+deb10u11) ...
Przygotowywanie do rozpakowania pakietu .../4-wireless-regdb_2020.04.29-2~bpo10+1_all.deb ...
Rozpakowywanie pakietu wireless-regdb (2020.04.29-2~bpo10+1) nad (2016.06.10-1) ...
Wybieranie wcześniej niewybranego pakietu linux-image-5.10.0-0.bpo.5-amd64.
Przygotowywanie do rozpakowania pakietu .../5-linux-image-5.10.0-0.bpo.5-amd64_5.10.24-1~bpo10+1_amd64.deb ...
Rozpakowywanie pakietu linux-image-5.10.0-0.bpo.5-amd64 (5.10.24-1~bpo10+1) ...
Przygotowywanie do rozpakowania pakietu .../6-linux-image-amd64_5.10.24-1~bpo10+1_amd64.deb ...
Rozpakowywanie pakietu linux-image-amd64 (5.10.24-1~bpo10+1) nad (4.19+105+deb10u11) ...
Konfigurowanie pakietu wireless-regdb (2020.04.29-2~bpo10+1) ...
update-alternatives: użycie /lib/firmware/regulatory.db-debian jako dostarczającego /lib/firmware/regulatory.db (regulatory.db) w trybie automatycznym
Konfigurowanie pakietu linux-image-5.10.0-0.bpo.5-amd64 (5.10.24-1~bpo10+1) ...
I: /vmlinuz.old is now a symlink to boot/vmlinuz-4.19.0-16-amd64
I: /initrd.img.old is now a symlink to boot/initrd.img-4.19.0-16-amd64
I: /vmlinuz is now a symlink to boot/vmlinuz-5.10.0-0.bpo.5-amd64
I: /initrd.img is now a symlink to boot/initrd.img-5.10.0-0.bpo.5-amd64
/etc/kernel/postinst.d/dkms:
Error! Bad return status for module build on kernel: 5.10.0-0.bpo.5-amd64 (x86_64)
Consult /var/lib/dkms/bbswitch/0.8/build/make.log for more information.
Error! Bad return status for module build on kernel: 5.10.0-0.bpo.5-amd64 (x86_64)
Consult /var/lib/dkms/mt7610u_sta/1.0/build/make.log for more information.
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-5.10.0-0.bpo.5-amd64
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8125b-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8125a-3.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168fp-3.fw for module r8169
W: Possible missing firmware /lib/firmware/i915/skl_huc_2.0.0.bin for module i915
W: Possible missing firmware /lib/firmware/i915/skl_guc_33.0.0.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_huc_2.0.0.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_guc_33.0.0.bin for module i915
W: Possible missing firmware /lib/firmware/i915/kbl_huc_4.0.0.bin for module i915
W: Possible missing firmware /lib/firmware/i915/kbl_guc_33.0.0.bin for module i915
W: Possible missing firmware /lib/firmware/i915/glk_huc_4.0.0.bin for module i915
W: Possible missing firmware /lib/firmware/i915/glk_guc_33.0.0.bin for module i915
W: Possible missing firmware /lib/firmware/i915/kbl_huc_4.0.0.bin for module i915
W: Possible missing firmware /lib/firmware/i915/kbl_guc_33.0.0.bin for module i915
W: Possible missing firmware /lib/firmware/i915/cml_huc_4.0.0.bin for module i915
W: Possible missing firmware /lib/firmware/i915/cml_guc_33.0.0.bin for module i915
W: Possible missing firmware /lib/firmware/i915/icl_huc_9.0.0.bin for module i915
W: Possible missing firmware /lib/firmware/i915/icl_guc_33.0.0.bin for module i915
W: Possible missing firmware /lib/firmware/i915/ehl_huc_9.0.0.bin for module i915
W: Possible missing firmware /lib/firmware/i915/ehl_guc_33.0.4.bin for module i915
W: Possible missing firmware /lib/firmware/i915/tgl_huc_7.5.0.bin for module i915
W: Possible missing firmware /lib/firmware/i915/tgl_guc_35.2.0.bin for module i915
W: Possible missing firmware /lib/firmware/i915/tgl_huc_7.5.0.bin for module i915
W: Possible missing firmware /lib/firmware/i915/tgl_guc_35.2.0.bin for module i915
W: Possible missing firmware /lib/firmware/i915/icl_dmc_ver1_09.bin for module i915
W: Possible missing firmware /lib/firmware/i915/tgl_dmc_ver2_08.bin for module i915
W: Possible missing firmware /lib/firmware/i915/rkl_dmc_ver2_02.bin for module i915
/etc/kernel/postinst.d/zz-update-grub:
Generowanie pliku konfiguracyjnego GRUB-a...
Found background image: /usr/share/images/desktop-base/desktop-grub.png
Znaleziono obraz Linuksa: /boot/vmlinuz-5.10.0-0.bpo.5-amd64
Znaleziono obraz initrd: /boot/initrd.img-5.10.0-0.bpo.5-amd64
Znaleziono obraz Linuksa: /boot/vmlinuz-4.19.0-16-amd64
Znaleziono obraz initrd: /boot/initrd.img-4.19.0-16-amd64
Znaleziono obraz Linuksa: /boot/vmlinuz-4.19.0-14-amd64
Znaleziono obraz initrd: /boot/initrd.img-4.19.0-14-amd64
Znaleziono Windows 10 na /dev/sda1
Znaleziono Windows 10 na /dev/sdb1
Znaleziono obraz Linuksa: /boot/vmlinuz-5.10.0-0.bpo.5-amd64
Znaleziono obraz initrd: /boot/initrd.img-5.10.0-0.bpo.5-amd64
Znaleziono obraz Linuksa: /boot/vmlinuz-4.19.0-16-amd64
Znaleziono obraz initrd: /boot/initrd.img-4.19.0-16-amd64
Znaleziono obraz Linuksa: /boot/vmlinuz-4.19.0-14-amd64
Znaleziono obraz initrd: /boot/initrd.img-4.19.0-14-amd64
gotowe
Konfigurowanie pakietu linux-headers-5.10.0-0.bpo.5-common (5.10.24-1~bpo10+1) ...
Konfigurowanie pakietu linux-kbuild-5.10 (5.10.24-1~bpo10+1) ...
Konfigurowanie pakietu linux-headers-5.10.0-0.bpo.5-amd64 (5.10.24-1~bpo10+1) ...
/etc/kernel/header_postinst.d/dkms:
Error! Bad return status for module build on kernel: 5.10.0-0.bpo.5-amd64 (x86_64)
Consult /var/lib/dkms/bbswitch/0.8/build/make.log for more information.
Error! Bad return status for module build on kernel: 5.10.0-0.bpo.5-amd64 (x86_64)
Consult /var/lib/dkms/mt7610u_sta/1.0/build/make.log for more information.
Konfigurowanie pakietu linux-headers-amd64 (5.10.24-1~bpo10+1) ...
Konfigurowanie pakietu linux-image-amd64 (5.10.24-1~bpo10+1) ...
Przetwarzanie wyzwalaczy pakietu man-db (2.8.5-2)...

Coś się zmieniło pomimo nie instalowania na razie sterowników:

Kod:

lspci | egrep  'VGA|3D'                                                   
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
01:00.0 VGA compatible controller: NVIDIA Corporation GF106M [GeForce GT 555M] (rev a1)

Ostatnio edytowany przez wachcio (2021-04-17 22:53:07)

Offline

 

#23  2021-04-18 00:31:17

  jawojx - Użytkownik

jawojx
Użytkownik
Zarejestrowany: 2012-10-11

Re: Dell XPS l702x i dwie karty graficzne. Która jest aktualnie używana?

Nie masz zainstalowanego firmware-misc-nonfree, zainstaluj. Nie instalowałeś sterowników, ale zapomniałeś odinstalować wszystkiego, zostawiłeś bbswitch-dkms i może coś jeszcze. Odinstaluj na razie bbswitch i wszystko po bumblebee. Zrestartuj komputer i zainstaluj sterowniki z backportów, dodałem też firmware.

Kod:

apt install -t buster-backports nvidia-legacy-390xx-driver firmware-misc-nonfree

Jak przy instalacji zbuduje prawidłowo moduły dla kernela 5.10, to zrób taki plik (jak nie masz katalogu /etc/X11/xorg.conf.d to go utwórz).

Kod:

nano /etc/X11/xorg.conf.d/10-nvidia.conf

I wlej to.

Kod:

Section "Module"
        load "modesetting"
EndSection

Section "Device"
        Identifier "nvidia"
        Driver     "nvidia"
        BusID      "PCI:1:0:0"
        Option     "AllowEmptyInitialConfiguration"
EndSection

Section "Device"
        Identifier "intel"
        Driver     "modesetting"
        BusID      "PCI:0:2:0"
        Option     "AccelMethod" "sna"
EndSection

I zrestartuj komputer, powinien uruchomić się na gpu nVidia, możesz sprawdzić jak uruchomisz nvidia-settings.

Jak się uruchomi prawidłowo z działającymi sterownikami, to usuń plik z konfiguracją /etc/X11/xorg.conf.d/10-nvidia.conf i doinstaluj bumblebee z backportów, w tej kolejności powinien zadziałać. Sterownik będziesz już miał zainstalowany, ale może to być to samo co na górze napisałem, nie przeszkadza wpisanie sterownika ponownie.

Kod:

apt install -t buster-backports nvidia-legacy-390xx-driver bumblebee-nvidia primus

Jak nie zadziała pierwsza konfiguracja, to pokaż informacje z instalacji (możesz wkleić na https://pastebin.com/  lub tu na wklej duga), a ja zrobię do testu livecd Debiana ze sterownikiem dla ciebie, którego uruchomisz z tego dysku gdzie masz zainstalowanego Linuksa, a nie z pendriva, miejsca będzie potrzebne około 1GB.

Ostatnio edytowany przez jawojx (2021-04-18 00:45:25)

Offline

 

#24  2021-04-18 11:25:48

  wachcio - Użytkownik

wachcio
Użytkownik
Zarejestrowany: 2019-08-10

Re: Dell XPS l702x i dwie karty graficzne. Która jest aktualnie używana?

Wykonałem:

Kod:

sudo apt remove --purge '^bbswitch-.*'
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
Uwaga, wybieranie bbswitch-source dla wyrażenia "^bbswitch-.*"
Uwaga, wybieranie bbswitch-dkms dla wyrażenia "^bbswitch-.*"
Pakiet "bbswitch-source" nie jest zainstalowany, więc nie zostanie usunięty
Następujące pakiety zostały zainstalowane automatycznie i nie są już więcej wymagane:
  glx-alternative-mesa glx-alternative-nvidia glx-diversions nvidia-installer-cleanup update-glx
Aby je usunąć należy użyć "sudo apt autoremove".
Następujące pakiety zostaną USUNIĘTE:
  bbswitch-dkms*
0 aktualizowanych, 0 nowo instalowanych, 1 usuwanych i 0 nieaktualizowanych.
Po tej operacji zostanie zwolnione 36,9 kB miejsca na dysku.
Kontynuować? [T/n] t
(Odczytywanie bazy danych ... 616796 plików i katalogów obecnie zainstalowanych.)
Usuwanie pakietu bbswitch-dkms (0.8-8) ...

-------- Uninstall Beginning --------
Module:  bbswitch
Version: 0.8
Kernel:  4.19.0-16-amd64 (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

bbswitch.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.19.0-16-amd64/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod...

DKMS: uninstall completed.

------------------------------
Deleting module version: 0.8
completely from the DKMS tree.
------------------------------
Done.

Kod:

sudo apt remove --purge '^bumblebee-.*'
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
Uwaga, wybieranie bumblebee-nvidia dla wyrażenia "^bumblebee-.*"
Pakiet "bumblebee-nvidia" nie jest zainstalowany, więc nie zostanie usunięty
Następujące pakiety zostały zainstalowane automatycznie i nie są już więcej wymagane:
  glx-alternative-mesa glx-alternative-nvidia glx-diversions nvidia-installer-cleanup update-glx
Aby je usunąć należy użyć "sudo apt autoremove".
0 aktualizowanych, 0 nowo instalowanych, 0 usuwanych i 0 nieaktualizowanych.

Kod:

sudo apt autoremove
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
Następujące pakiety zostaną USUNIĘTE:
  glx-alternative-mesa glx-alternative-nvidia glx-diversions nvidia-installer-cleanup update-glx
0 aktualizowanych, 0 nowo instalowanych, 5 usuwanych i 0 nieaktualizowanych.
Po tej operacji zostanie zwolnione 214 kB miejsca na dysku.
Kontynuować? [T/n] t
(Odczytywanie bazy danych ... 616787 plików i katalogów obecnie zainstalowanych.)
Usuwanie pakietu glx-alternative-nvidia (1.2.0~bpo10+1) ...
Usuwanie pakietu glx-diversions (1.2.0~bpo10+1) ...
Usuwanie pakietu glx-alternative-mesa (1.2.0~bpo10+1) ...
Usuwanie pakietu nvidia-installer-cleanup (20151021+12~bpo10+1) ...
Usuwanie pakietu update-glx (1.2.0~bpo10+1) ...
Przetwarzanie wyzwalaczy pakietu man-db (2.8.5-2)...
Przetwarzanie wyzwalaczy pakietu initramfs-tools (0.133+deb10u1)...
update-initramfs: Generating /boot/initrd.img-5.10.0-0.bpo.5-amd64
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8125b-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8125a-3.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168fp-3.fw for module r8169

Czy jeszcze wykonać jakieś polecenie przed instalacją? Może coś źle teraz wpisałem?

Offline

 

#25  2021-04-18 12:42:41

  jawojx - Użytkownik

jawojx
Użytkownik
Zarejestrowany: 2012-10-11

Re: Dell XPS l702x i dwie karty graficzne. Która jest aktualnie używana?

Brak firmware-a dla realteka, ale to teraz mało istotne jest, wygląda że wszystko. Instaluj sterowniki z backportów, tak jak opisałem to w poście 23, z tamtą konfiguracją. Oczywiście tak jak opisane, na razie bez bumblebee, nie rozpędź się za daleko w tamtym opisie.

Nie wiem, czy moduły sterownika z backportów, zbudują się prawidłowo dla kernela 4.19, który nie jest z backportów, tego nie sprawdzałem teraz, pewnie nie. Ale dla nas istotny jest kernel 5.10 z backportów, z którego teraz używasz. Zwracaj tylko uwagę na ten drugi.

Ostatnio edytowany przez jawojx (2021-04-18 12:57:27)

Offline

 

Stopka forum

Powered by PunBB
© Copyright 2002–2005 Rickard Andersson
Nas ludzie lubią po prostu, a nie klikając w przyciski ;-)